package app;

import java.io.IOException;
import java.io.OutputStream;

public class SerialWriter implements Runnable 
{
    OutputStream out;
    
    public SerialWriter ( OutputStream out )
    {
        this.out = out;
    }
    
    public void run ()
    {
        try
        {                
            int c = 0;
            while ( ( c = System.in.read()) > -1 )
            {
                this.out.write(c);
            }                
        }
        catch ( IOException e )
        {
            e.printStackTrace();
        }            
    }
    
    private byte[] stringToByte(String text) {
		byte[] ret = new byte[text.length()];
		char znak;
		for(int i=0;i<text.length();i++){
			znak=text.charAt(i);
			ret[i]= (byte) znak;
		}
		return ret;
	}
    
    public void write(String data){
    	try {
    		if(!data.isEmpty())
    			out.write(stringToByte(data));
		} catch (IOException e) {
			e.printStackTrace();
		}
    }
    
    public void write(int data){
    	try {
    		out.write(data);
		} catch (IOException e) {
			e.printStackTrace();
		}
    }
    
    public void write(byte data){
    	try {
    		out.write(data);
		} catch (IOException e) {
			e.printStackTrace();
		}
    }
}
